org.apache.xmlbeans.impl.xpathgen

## Class XPathGenerator

- java.lang.Object
- - org.apache.xmlbeans.impl.xpathgen.XPathGenerator

    public class XPathGenerator
    extends Object

Generates an XPath String that points to a given position in an XML document

### Constructor Summary

Constructors
Constructor and Description
`XPathGenerator()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `generateXPath(XmlCursor node, XmlCursor context, NamespaceContext nsctx)` Generates an XPath pointing to the position in the document indicated by `node`.
`static void` `main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XPathGenerator

    public XPathGenerator()

### Method Detail

#### generateXPath

    public static String generateXPath(XmlCursor node,
                                       XmlCursor context,
                                       NamespaceContext nsctx)
                                throws XPathGenerationException

Generates an XPath pointing to the position in the document indicated by `node`.

If the `context` parameter is null, the XPath is absolute, otherwise the XPath will be relative to the position indicated by `context`.

Note: the cursor position for the `node` parameter is not preserved

Parameters:
  `node` - the position in the document that the generated path will point to
  `context` - the context node; the generated path will be relative to it if not null and if pointing to an element on the path from the document root to `node`
  `nsctx` - a namespace context that will be used to obtain prefixes; a (non-default) namespace mapping must be available for all required namespace URIs
Returns:
  the generated path as a `String`
Throws:
  `XPathGenerationException` - if the path could not be generated: the cursor is in a bad position (like over a comment) or no prefix mapping was found for one of the namespace URIs

#### main

    public static void main(String[] args)
                     throws XmlException

Throws:
  `XmlException`